import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { NpiProviderWhereInputObjectSchema as NpiProviderWhereInputObjectSchema } from './NpiProviderWhereInput.schema'

const makeSchema = () => z.object({
  is: z.lazy(() => NpiProviderWhereInputObjectSchema).optional(),
  isNot: z.lazy(() => NpiProviderWhereInputObjectSchema).optional()
}).strict();
export const NpiProviderScalarRelationFilterObjectSchema: z.ZodType<Prisma.NpiProviderScalarRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.NpiProviderScalarRelationFilter>;
export const NpiProviderScalarRelationFilterObjectZodSchema = makeSchema();
